Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi.work
Class WorkEvent

    java.lang.Object
      java.util.EventObject
          javax.resource.spi.work.WorkEvent

All Implemented Interfaces:
  java.io.Serializable

public class WorkEvent
extends java.util.EventObject

This class models the various events that occur during the processing of a `Work` instance.

Version:
  1.0
Author:
  Ram Jeyaraman
See Also:
  Serialized Form

Field Summary
`static int` | `WORK_ACCEPTED` Indicates `Work` instance has been accepted.
`static int` | `WORK_COMPLETED` Indicates `Work` instance has completed execution.
`static int` | `WORK_REJECTED` Indicates `Work` instance has been rejected.
`static int` | `WORK_STARTED` Indicates `Work` instance has started execution.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WorkEvent(java.lang.Object source, int type, Work work, WorkException exc)` Constructor.
`WorkEvent(java.lang.Object source, int type, Work work, WorkException exc, long startDuration)` Constructor.

Method Summary
`WorkException` | `getException()` Return the `WorkException`.
`long` | `getStartDuration()` Return the start interval duration.
`int` | `getType()` Return the type of this event.
`Work` | `getWork()` Return the `Work` instance which is the cause of the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WORK_ACCEPTED

    public static final int WORK_ACCEPTED

  Indicates `Work` instance has been accepted.

  See Also:
    Constant Field Values

### WORK_REJECTED

    public static final int WORK_REJECTED

  Indicates `Work` instance has been rejected.

  See Also:
    Constant Field Values

### WORK_STARTED

    public static final int WORK_STARTED

  Indicates `Work` instance has started execution.

  See Also:
    Constant Field Values

### WORK_COMPLETED

    public static final int WORK_COMPLETED

  Indicates `Work` instance has completed execution.

  See Also:
    Constant Field Values

Constructor Detail

### WorkEvent

    public WorkEvent(java.lang.Object source,
                     int type,
                     Work work,
                     WorkException exc)

  Constructor.

Parameters:
  `source` - The object on which the event initially occurred.
  `type` - The event type.
  `work` - The `Work` object on which the event occured.
  `exc` - The exception that occured during `Work` processing.

### WorkEvent

    public WorkEvent(java.lang.Object source,
                     int type,
                     Work work,
                     WorkException exc,
                     long startDuration)

  Constructor.

Parameters:
  `source` - The object on which the event initially occurred.
  `type` - The event type.
  `work` - The `Work` object on which the event occured.
  `exc` - The exception that occured during `Work` processing.
  `startDuration` - The start delay duration (in milliseconds).

Method Detail

### getType

    public int getType()

  Return the type of this event.

  Returns:
    the event type.

### getWork

    public Work getWork()

  Return the `Work` instance which is the cause of the event.

  Returns:
    the `Work` instance.

### getStartDuration

    public long getStartDuration()

  Return the start interval duration.

  Returns:
    the time elapsed (in milliseconds) since the `Work` was accepted, until the `Work` execution started. Note, this does not offer real-time guarantees. It is valid to return -1, if the actual start interval duration is unknown.

### getException

    public WorkException getException()

  Return the `WorkException`. The actual `WorkException` subtype returned depends on the type of the event.

  Returns:
    a `WorkRejectedException` or a `WorkCompletedException`, if any.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.